<?php

class Article extends Model
{
	function __construct($fromArray = array())
	{
		$this->_tableName_ = 'articles';
		parent::__construct($fromArray);
		$this->setRelation('authorUser', 'author', 'User', 'id', self::TO_ONE);
	}

	static function model()
	{
		return new self();
	}

}

